<?php
/**
 * Template Name: Shopping Feed XML
 * Version    : 1.0.0
 * Author     : ashita planning
 * Author URI : http://ashita-planning.asia
 * Created    : Sept. 1, 2018
 * Modified   : Sept. 1, 2018
 * License    : GPLv2 or later
 * License URI: license.txt
 * 説明: Smartカスタムフィールドで、brand、 descriptionを作ってください。
 *
 */
//ホームページ名
$siteName = get_bloginfo( 'name', 'display' );
//ホームページアドレス
$siteURL = get_home_url() ;
//ホームページアドレス
$siteDescription = get_bloginfo( 'description', 'display' );
//デフォルトブランド
$default_brand = "プライベートブランド";
//JANコードの企業コード部分(7桁)
$jan_corp = 4963000;
//Google Shoppingカテゴリー
$category = 'Apparel &amp; Accessories > Clothing Accessories';

header("Content-Type: text/xml; charset=utf-8");
?>
<rss xmlns:g="http://base.google.com/ns/1.0" version="2.0">
<channel>
<title><?php echo $siteName; ?></title>
<link><?php echo $siteURL; ?></link>
<description><?php echo $siteDescription; ?></description>
<language>ja</language>
    <?php 
            $args = array(
            'paged' => $paged,
            'post_type' => 'post',
            'posts_per_page' => -1,
            'cat' => 'item',
        );
    $my_query = new WP_Query($args);
    if( $my_query -> have_posts() ) :
    while($my_query -> have_posts()) : $my_query -> the_post();
    $post_id = get_the_ID();
    $value = get_post($post_id);
    $link = get_permalink($post_id);
    $link = htmlspecialchars($link);
    //カスタムフィールドでメタディスクリプションをイレテイルから。
    $custom_description = get_field('description',$post_id);
    $brand = get_field('brand',$post_id);
    $description = htmlspecialchars($custom_description);
    if($description ==""):
        $description = "詳細はホームページをご覧ください";
    endif;
    if($brand ==""):
        $brand = $default_brand;
    endif;

    ?>
<item>
        <g:id><?php echo $post_id; ?></g:id>
        <g:title><?php the_title(); ?></g:title>
        <g:description><?php echo $description; ?></g:description>description
        <g:link><?php echo $link; ?></g:link>
        <g:image_link><?php echo $siteURL.htmlspecialchars(usces_the_itemImageURL($number = 0, $out = 'return', $value )); ?></g:image_link>
        <g:condition>new</g:condition>
        <g:availability>available for order</g:availability>
        <g:gtin><?php echo $jan_corp.str_pad($post_id, 6, 0, STR_PAD_LEFT);?></g:gtin>
        <g:mpn><?php echo str_pad($post_id, 6, 0, STR_PAD_LEFT);?></g:mpn>
        <g:brand><?php echo $brand; ?></g:brand>
        <g:price><?php usces_the_firstPrice(); ?></g:price>
        <g:google_product_category><?php echo $category; ?></g:google_product_category>
</item>
<?php endwhile; ?> 
<?php endif; ?> 
</channel>
</rss>